Skip to main content
PATCH
Partially update an inventory movement

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Path Parameters

id
string<uuid>
required

A UUID string identifying this movement.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
operation_number
integer
default:0
Required range: 0 <= x <= 2147483647
operation_date
string<date-time>
operation_status
enum<string>
  • PR - Provisional
  • CO - Complete
  • ER - Error
Available options:
PR,
CO,
ER
status_description
string | null
description
string | null
is_entry
boolean
additional_info
string | null
is_directly_created
boolean
operation
string<uuid>
market_exchange_rate
string<uuid> | null
branch_office
string<uuid>
warehouse
string<uuid>
source_inventory
string<uuid> | null
app
string<uuid>
stakeholder
string<uuid>

Response

200 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.